local options = MissionMinder.options;
local L = LibStub("AceLocale-3.0"):GetLocale("MissionMinder");
local DEBUG = MissionMinder.debug;

MissionMinder.ilvl = {};
local addon = MissionMinder.ilvl;


local iWeapon = CreateFrame("Frame", nil, GarrisonLandingPage.FollowerTab, "MissionMinderItemButtonTemplate");
local iArmor = CreateFrame("Frame", nil, GarrisonLandingPage.FollowerTab, "MissionMinderItemButtonTemplate");
iWeapon:SetPoint("TOPLEFT", GarrisonLandingPage.FollowerTab.Model, "BOTTOMLEFT", 18, -3);
iArmor:SetPoint("TOPLEFT", iWeapon, "TOPRIGHT", 10, 0);


local function showItemLevel(self, followerID)
	if ( followerID and followerID ~= 0 ) then
		local follower = C_Garrison.GetFollowerInfo(followerID);
		if ( follower and follower.isCollected and follower.level == GARRISON_FOLLOWER_MAX_LEVEL ) then
			local weaponItemID, weaponItemLevel, armorItemID, armorItemLevel = C_Garrison.GetFollowerItems(followerID);
			GarrisonFollowerPage_SetItem(iWeapon, weaponItemID, weaponItemLevel);
			GarrisonFollowerPage_SetItem(iArmor, armorItemID, armorItemLevel);
			return;
		end
	end

	iWeapon:Hide();
	iArmor:Hide();
end


function addon.initialize()
	iWeapon.Name:SetText(WEAPON);
	iArmor.Name:SetText(ARMOR);

	-- hide the previously existing frames (made with a different template)
	if ( GarrisonLandingPage.FollowerTab.ItemWeapon ) then
		GarrisonLandingPage.FollowerTab.ItemWeapon:Hide();
	end
	if ( GarrisonLandingPage.FollowerTab.ItemArmor ) then
		GarrisonLandingPage.FollowerTab.ItemArmor:Hide();
	end

	-- replace parentKey with our new frames
	GarrisonLandingPage.FollowerTab.ItemWeapon = iWeapon;
	GarrisonLandingPage.FollowerTab.ItemArmor = iArmor;

	hooksecurefunc("GarrisonFollowerPage_ShowFollower", showItemLevel);
end
